WKSContentListener::CellContent Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
WKSContentListener::CellContent Struct Reference

small class use to define a sheet cell content More...

`#include <WKSContentListener.h>`

## Public Types
enum | ContentType { C_NONE, C_TEXT, C_NUMBER, C_FORMULA, C_UNKNOWN }
| the different types of cell's field More...

## Public Member Functions
| CellContent ()
| constructor More...
| ~CellContent ()
| destructor More...
bool | empty () const
| returns true if the cell has no content More...
void | setValue (double value)
| sets the double value More...
bool | isValueSet () const
| returns true if the value has been setted More...
bool | hasText () const
| returns true if the text is set More...

## Static Public Member Functions
static bool | double2Date (double val, int &Y, int &M, int &D)
| conversion beetween double days since 1900 and date More...
static bool | double2Time (double val, int &H, int &M, int &S)
| conversion beetween double: second since 0:00 and time More...

## Public Attributes
ContentType | m_contentType
| the content type ( by default unknown ) More...
double | m_value
| the cell value More...
bool | m_valueSet
| true if the value has been set More...
WPSEntry | m_textEntry
| the cell string More...
std::vector< FormulaInstruction > | m_formula
| the formula list of instruction More...

## Friends
std::ostream & | operator<< (std::ostream &o, CellContent const &cell)
| operator<< More...

## Detailed Description

small class use to define a sheet cell content

## Member Enumeration Documentation

enum WKSContentListener::CellContent::ContentType

the different types of cell's field

Enumerator
C_NONE |
C_TEXT |
C_NUMBER |
C_FORMULA |
C_UNKNOWN |

## Constructor & Destructor Documentation

WKSContentListener::CellContent::CellContent | ( |  | ) |
| inline

constructor

WKSContentListener::CellContent::~CellContent | ( |  | ) |
| inline

destructor

## Member Function Documentation

bool WKSContentListener::CellContent::double2Date | ( | double | val,
|  | int & | Y,
|  | int & | M,
|  | int & | D
| ) |  |
| static

conversion beetween double days since 1900 and date

Referenced by WKSContentListener::openSheetCell().

bool WKSContentListener::CellContent::double2Time | ( | double | val,
|  | int & | H,
|  | int & | M,
|  | int & | S
| ) |  |
| static

conversion beetween double: second since 0:00 and time

Referenced by WKSContentListener::openSheetCell().

bool WKSContentListener::CellContent::empty | ( |  | ) | const
| inline

returns true if the cell has no content

bool WKSContentListener::CellContent::hasText | ( |  | ) | const
| inline

returns true if the text is set

Referenced by operator<<().

bool WKSContentListener::CellContent::isValueSet | ( |  | ) | const
| inline

returns true if the value has been setted

Referenced by WKSContentListener::openSheetCell(), and operator<<().

void WKSContentListener::CellContent::setValue | ( | double | value | ) |
| inline

sets the double value

Referenced by QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), and LotusSpreadsheet::readCell().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | WKSContentListener::CellContent const & | cell
| ) |  |
| friend

operator<<

## Member Data Documentation

ContentType WKSContentListener::CellContent::m_contentType

the content type ( by default unknown )

Referenced by operator<<(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), and WKS4Spreadsheet::readMsWorksDOSCellProperty().

std::vector<FormulaInstruction> WKSContentListener::CellContent::m_formula

the formula list of instruction

Referenced by WKSContentListener::openSheetCell(), operator<<(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), WKS4Spreadsheet::sendCellContent(), QuattroSpreadsheet::sendCellContent(), and LotusSpreadsheet::sendCellContent().

WPSEntry WKSContentListener::CellContent::m_textEntry

the cell string

Referenced by operator<<(), QuattroSpreadsheet::readCell(), WKS4Spreadsheet::readCell(), LotusSpreadsheet::readCell(), WKS4Spreadsheet::sendCellContent(), QuattroSpreadsheet::sendCellContent(), and LotusSpreadsheet::sendCellContent().

double WKSContentListener::CellContent::m_value

the cell value

Referenced by WKSContentListener::openSheetCell(), and operator<<().

bool WKSContentListener::CellContent::m_valueSet

true if the value has been set

The documentation for this struct was generated from the following files:

- WKSContentListener.h
- WKSContentListener.cpp